Subject: bug#35649: 12.1.2; Creating a beamer document fails

From: Jonas Neundorf <[email-masked]>
Date: Thu, 09 May 2019 14:56:22 +0200

Dear all,

I try to create a beamer document by opening a .tex file and
inserting the document environment with C-c C-e in auctex 12.1.2. It fails with the message:

Symbol's value as variable is void: LaTeX-hyperref-package-options-list

The symbol is requested in line 374 of beamer.el and defined in line 38 of
hyperref.el. It still worked a few weeks ago, so I suppose a recent
update is the cause. As I have no other packages than auctex and the
built-ins of my Emacs (version 25.2.2) installed, this should not come
from a package conflict. I have tried reinstalling auctex to no effect. A backtrace is appended below.

Best regards,

Jonas Neundorf

Debugger entered--Lisp error: (void-variable LaTeX-hyperref-package-options-list)
  eval(LaTeX-hyperref-package-options-list)
  #[(x) "A@\203A@9\203\301A@!\204@\302A@!CB\207\207" [x functionp eval] 3](("hyperref" LaTeX-hyperref-package-options-list))
  mapcar(#[(x) "A@\203A@9\203\301A@!\204@\302A@!CB\207\207" [x functionp eval] 3] (("usepdftitle" ("false")) ("envcountsect") ("notheorems") ("noamsthm") ("compress") ("t") ("c") ("leqno") ("fleqn") ("handout") ("trans") ("pdftex") ("nativepdf") ("pdfmark") ("dvips") ("dviwindo") ("dvipsone") ("vtex") ("ps2pdf") ("ignorenonframetext") ("noamssymb") ("bigger") ("smaller") ("8pt") ("9pt") ("10pt") ("11pt") ("12pt") ("14pt") ("17pt") ("20pt") ("draft") ("CJK") ("cjk") ("pgf") ("hyperref" LaTeX-hyperref-package-options-list) ("color") ("xcolor") ("ucs") ("utf8x") ("utf8") ("aspectratio" ("1610" "169" "149" "54" "43" "32"))))
  multi-prompt-expand-completion-table((("usepdftitle" ("false")) ("envcountsect") ("notheorems") ("noamsthm") ("compress") ("t") ("c") ("leqno") ("fleqn") ("handout") ("trans") ("pdftex") ("nativepdf") ("pdfmark") ("dvips") ("dviwindo") ("dvipsone") ("vtex") ("ps2pdf") ("ignorenonframetext") ("noamssymb") ("bigger") ("smaller") ("8pt") ("9pt") ("10pt") ("11pt") ("12pt") ("14pt") ("17pt") ("20pt") ("draft") ("CJK") ("cjk") ("pgf") ("hyperref" LaTeX-hyperref-package-options-list) ("color") ("xcolor") ("ucs") ("utf8x") ("utf8") ("aspectratio" ("1610" "169" "149" "54" "43" "32"))))
  multi-prompt-key-value("(Optional) Options (k=v): " (("usepdftitle" ("false")) ("envcountsect") ("notheorems") ("noamsthm") ("compress") ("t") ("c") ("leqno") ("fleqn") ("handout") ("trans") ("pdftex") ("nativepdf") ("pdfmark") ("dvips") ("dviwindo") ("dvipsone") ("vtex") ("ps2pdf") ("ignorenonframetext") ("noamssymb") ("bigger") ("smaller") ("8pt") ("9pt") ("10pt") ("11pt") ("12pt") ("14pt") ("17pt") ("20pt") ("draft") ("CJK") ("cjk") ("pgf") ("hyperref" LaTeX-hyperref-package-options-list) ("color") ("xcolor") ("ucs") ("utf8x") ("utf8") ("aspectratio" ("1610" "169" "149" "54" "43" "32"))))
  TeX-read-key-val(t (("usepdftitle" ("false")) ("envcountsect") ("notheorems") ("noamsthm") ("compress") ("t") ("c") ("leqno") ("fleqn") ("handout") ("trans") ("pdftex") ("nativepdf") ("pdfmark") ("dvips") ("dviwindo") ("dvipsone") ("vtex") ("ps2pdf") ("ignorenonframetext") ("noamssymb") ("bigger") ("smaller") ("8pt") ("9pt") ("10pt") ("11pt") ("12pt") ("14pt") ("17pt") ("20pt") ("draft") ("CJK") ("cjk") ("pgf") ("hyperref" LaTeX-hyperref-package-options-list) ("color") ("xcolor") ("ucs") ("utf8x") ("utf8") ("aspectratio" ("1610" "169" "149" "54" "43" "32"))))
  LaTeX-beamer-class-options()
  TeX-arg-document(nil)
  TeX-parse-argument(nil TeX-arg-document)
  TeX-parse-arguments((TeX-arg-document))
  TeX-parse-macro("documentclass" (TeX-arg-document))
  TeX-insert-macro("documentclass")
  LaTeX-env-document("document")
  apply(LaTeX-env-document "document" nil)
  LaTeX-environment-menu("document")
  LaTeX-environment(nil)
  funcall-interactively(LaTeX-environment nil)
  call-interactively(LaTeX-environment nil nil)
  command-execute(LaTeX-environment)

Emacs  : GNU Emacs 25.2.2 (x86_64-pc-linux-gnu, GTK+ Version 3.22.21)
 of 2017-09-22, modified by Debian
Package: 12.1.2

current state:
==============
(setq
 AUCTeX-date "2019-02-08"
 window-system 'x
 LaTeX-version "2e"
 TeX-style-path '("~/.emacs.d/auctex" "/home/neundorf/.emacs.d/elpa/auctex-12.1.2/style"
		  "/home/neundorf/.emacs.d/auctex/auto" "/home/neundorf/.emacs.d/auctex/style"
		  "auto" "style")
 TeX-auto-save nil
 TeX-parse-self t
 TeX-master t
 TeX-command-list '(("TeX" "%(PDF)%(tex) %(file-line-error) %`%(extraopts) %S%(PDFout)%(mode)%' %t"
		     TeX-run-TeX nil (plain-tex-mode ams-tex-mode texinfo-mode) :help
		     "Run plain TeX")
		    ("LaTeX" "%`%l%(mode)%' %T" TeX-run-TeX nil (latex-mode doctex-mode) :help
		     "Run LaTeX")
		    ("Makeinfo" "makeinfo %(extraopts) %t" TeX-run-compile nil (texinfo-mode) :help
		     "Run Makeinfo with Info output")
		    ("Makeinfo HTML" "makeinfo %(extraopts) --html %t" TeX-run-compile nil
		     (texinfo-mode) :help "Run Makeinfo with HTML output")
		    ("AmSTeX" "amstex %(PDFout) %`%(extraopts) %S%(mode)%' %t" TeX-run-TeX nil
		     (ams-tex-mode) :help "Run AMSTeX")
		    ("ConTeXt" "%(cntxcom) --once --texutil %(extraopts) %(execopts)%t" TeX-run-TeX
		     nil (context-mode) :help "Run ConTeXt once")
		    ("ConTeXt Full" "%(cntxcom) %(extraopts) %(execopts)%t" TeX-run-TeX nil
		     (context-mode) :help "Run ConTeXt until completion")
		    ("BibTeX" "bibtex %s" TeX-run-BibTeX nil t :help "Run BibTeX")
		    ("Biber" "biber %s" TeX-run-Biber nil t :help "Run Biber")
		    ("View" "%V" TeX-run-discard-or-function t t :help "Run Viewer")
		    ("Print" "%p" TeX-run-command t t :help "Print the file")
		    ("Queue" "%q" TeX-run-background nil t :help "View the printer queue" :visible
		     TeX-queue-command)
		    ("File" "%(o?)dvips %d -o %f " TeX-run-dvips t t :help
		     "Generate PostScript file")
		    ("Dvips" "%(o?)dvips %d -o %f " TeX-run-dvips nil t :help
		     "Convert DVI file to PostScript")
		    ("Dvipdfmx" "dvipdfmx %d" TeX-run-dvipdfmx nil t :help
		     "Convert DVI file to PDF with dvipdfmx")
		    ("Ps2pdf" "ps2pdf %f" TeX-run-ps2pdf nil t :help
		     "Convert PostScript file to PDF")
		    ("Glossaries" "makeglossaries %s" TeX-run-command nil t :help
		     "Run makeglossaries to create glossary file")
		    ("Index" "makeindex %s" TeX-run-index nil t :help
		     "Run makeindex to create index file")
		    ("upMendex" "upmendex %s" TeX-run-index t t :help
		     "Run upmendex to create index file")
		    ("Xindy" "texindy %s" TeX-run-command nil t :help
		     "Run xindy to create index file")
		    ("Check" "lacheck %s" TeX-run-compile nil (latex-mode) :help
		     "Check LaTeX file for correctness")
		    ("ChkTeX" "chktex -v6 %s" TeX-run-compile nil (latex-mode) :help
		     "Check LaTeX file for common mistakes")
		    ("Spell" "(TeX-ispell-document \"\")" TeX-run-function nil t :help
		     "Spell-check the document")
		    ("Clean" "TeX-clean" TeX-run-function nil t :help
		     "Delete generated intermediate files")
		    ("Clean All" "(TeX-clean t)" TeX-run-function nil t :help
		     "Delete generated intermediate and output files")
		    ("Other" "" TeX-run-command t t :help "Run an arbitrary command"))
 )